#!/bin/sh
###############################################################################
## 3D Scanner Manager
## Copyright (c) 2021-2024 Zleurtor
##
## This file is part of 3D Scanner Manager.
##
## 3D Scanner Manager is free software: you can redistribute it and/or modify
## it under the terms of the GNU General Public License as published by
## the Free Software Foundation, either version 3 of the License, or
## (at your option) any later version.
##
## 3D Scanner Manager is distributed in the hope that it will be useful,
## but WITHOUT ANY WARRANTY; without even the implied warranty of
## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
## GNU General Public License for more details.
##
## You should have received a copy of the GNU General Public License
## along with 3D Scanner Manager.  If not, see <https://www.gnu.org/licenses/>.
###############################################################################

classpath=conf
for filename in lib/*.jar
do
    classpath=${classpath}:${filename}
done
classpath=${classpath}:3d-scan-manager-1.4.4.jar

mkdir -p log

case $1 in
"stop")
	java -classpath ${classpath} zleurtor.scanmanager.model.Slave stop;;
"start"|*)
	java -classpath ${classpath} zleurtor.scanmanager.model.Slave;;
esac
